Bug 990991

Summary: kdenetwork-4.10.5-4 does not build in rawhide
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: kdenetworkAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: alekcejk, jreznik, kevin, ltinkl, rdieter, rnovacek, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koji.fedoraproject.org/koji/buildinfo?buildID=439294
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-03 14:27:31 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Petr Pisar 2013-08-01 07:07:26 EDT
kdenetwork-4.10.5-4 does not build in rawhide:

make[2]: Entering directory `/builddir/build/BUILD/kdenetwork-4.10.5/x86_64-redhat-linux-gnu'
/usr/bin/cmake -E cmake_progress_report /builddir/build/BUILD/kdenetwork-4.10.5/x86_64-redhat-linux-gnu/CMakeFiles 
[ 90%] Generating ui_identitystatusbase.h
cd /builddir/build/BUILD/kdenetwork-4.10.5/x86_64-redhat-linux-gnu/kopete/kopete/identity && /usr/bin/cmake -DKDE4_HEADER:BOOL=ON -DKDE_UIC_EXECUTABLE:FILEPATH=/usr/lib64/qt4/bin/uic-qt4 -DKDE_UIC_FILE:FILEPATH=/builddir/build/BUILD/kdenetwork-4.10.5/kopete/kopete/identity/identitystatusbase.ui -DKDE_UIC_H_FILE:FILEPATH=/builddir/build/BUILD/kdenetwork-4.10.5/x86_64-redhat-linux-gnu/kopete/kopete/identity/ui_identitystatusbase.h -DKDE_UIC_BASENAME:STRING=identitystatusbase -P /usr/share/kde4/apps/cmake/modules/kde4uic.cmake
/builddir/build/BUILD/kdenetwork-4.10.5/kopete/plugins/otr/otrlchatinterface.cpp:334:1: error: invalid conversion from 'void (*)(void*, OtrlNotifyLevel, const char*, const char*, const char*, const char*, const char*, const char*)' to 'void (*)(void*)' [-fpermissive]
 };
 ^
Comment 1 Fedora End Of Life 2013-09-16 10:57:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Rex Dieter 2014-09-03 14:27:31 EDT
Should be fixed for awhile now...